/*)LIBRARY
*/
/*
 * P$MPACK - Pack dynamic multiple choice menu
 *
 * Restricted access: handles only one field, thus requires
 * multiple calls.
 */
extern mpack();

p$mpack(fid, buf, clear, stat)
char *fid;                             /* Field ID */
char *buf;                             /* Field 'value' buffer */
int clear;                             /* TRUE = clear dynamic buffer */
int stat[2];                           /* 2-word status */
   {
   int fidl, bufl;

   fidl = strlen(fid);
   bufl = strlen(buf);
   call(mpack, (clear) ? 5 : 6, stat, fid, &fidl, buf, &bufl, "CLRB");
   return(stat[0]);
   }

